use crate::utils;
use amadeus_lib::actions::*;

pub fn render_action_menu(
    ui: &mut egui::Ui,
    actions: &[Action],
    menu_name: impl Into<egui::WidgetText>,
    fullfilled: &mut Vec<Action>,
) {
    ui.menu_button(menu_name, |ui| {
        ui.style_mut().override_text_style = Some(utils::font::body());
        for act in actions {
            let button = egui::Button::new(get_card_action_name(act))
                .wrap(false)
                .frame(false);
            if ui.add(button).clicked() {
                fullfilled.push(act.clone());
                ui.close_menu();
            }
        }
    });
}
