//! Build lektord queries.

#[derive(Debug, Clone)]
pub enum LektorUri {
    Id(i32),
    Author(String),
    Playlist(String),
    Query(String),
}

impl ToString for LektorUri {
    fn to_string(&self) -> String {
        match self {
            Self::Id(id) => format!("id://{}", id),
            Self::Author(author) => format!("author://{}", author),
            Self::Playlist(plt_name) => format!("playlist://{}", plt_name),
            Self::Query(sql_query) => format!("query://%{}%", sql_query),
        }
    }
}
